Skip to content

Create a booking item

POST
/api/v5/bookings/v4/{id}/items

Adds an item line (description, weight in kg, length/width/height in cm, quantity) to the booking and recalculates the booking total weight. Requires an API key and booking ownership. Not permitted on Multipick bookings.

id
required
string

The booking ID.

object
description

Package type or contents description (e.g. “Carton”).

string
nullable >= 1 characters
weight
required

Item weight in kg.

number
length
required

Item length in cm.

number
width
required

Item width in cm.

number
height
required

Item height in cm.

number
quantity
required

Number of identical items of these dimensions.

integer

Created booking item

object
id
required

Booking item identifier.

number
description
required

Package type or contents description.

string
weight
required

Item weight in kg.

number
length
required

Item length in cm.

number
width
required

Item width in cm.

number
height
required

Item height in cm.

number
quantity
required

Number of identical items of these dimensions.

number

Invalid item mutation

object
error

Single error message describing the failure.

string
errors
Any of:
string

Missing or invalid API key

Booking not found